cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From anshul1886 <...@git.apache.org>
Subject [GitHub] cloudstack pull request: CLOUDSTACK-9025 : [Xenserver] Sending tem...
Date Wed, 04 Nov 2015 05:17:05 GMT
GitHub user anshul1886 opened a pull request:

    https://github.com/apache/cloudstack/pull/1030

    CLOUDSTACK-9025 : [Xenserver] Sending template creation from snapshot command to Hypervisor

    https://issues.apache.org/jira/browse/CLOUDSTACK-9025
    
    In this fix we are sending command to hypervisor only if hypervisor version is not 6.1.0
and 6.2.0 without XSHotFix62ESP1004. I am not sure whether we support Xenserver 6.1.0 and
6.2.0 without XSHotFix62ESP1004. This conditional check is there to make sure users are able
to upgrade in transition period. If that's not the case we can remove condition all together
and can send command to hypervisor.
    
    To test this issue we need different versions of XenServer. Versions which we are mentioning
in condition in that case it should go to SSVM and in other cases it should go to Hypervsior.
SSVM can't handle linked snapshots in case of XenServer. 

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/anshul1886/cloudstack-1 CLOUDSTACK-9025

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/cloudstack/pull/1030.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #1030
    
----
commit 2251751177b6cb66a7e7682ada9ac83ee06a55e2
Author: Anshul Gangwar <anshul.gangwar@citrix.com>
Date:   2015-10-28T09:15:52Z

    CLOUDSTACK-9025 : [Xenserver] Sending template creation from snapshot command to Hypervisor
    if hypervisor version is not 6.1.0 and 6.2.0 without XSHotFix62ESP1004.

----


---
If your project is set up for it, you can reply to this email and have your
reply appear on GitHub as well. If your project does not have this feature
enabled and wishes so, or if the feature is enabled but not working, please
contact infrastructure at infrastructure@apache.org or file a JIRA ticket
with INFRA.
---

Mime
View raw message